> For the complete documentation index, see [llms.txt](https://docs.etelecom.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.etelecom.vn/api-etelecom-english/api-integration/zalo-cloud/zalo-cloud-api/send-message-consulting-with-attached-photo.md).

# Send message Consulting with attached photo

{% hint style="info" %}
**Note:**

* For APIs used for Shop, the API key is: [`<api_key>`](/api-etelecom-english/api-integration/shop/account.md). The base\_url information of the [Shop](/api-etelecom-english/api-integration/shop/account.md).
* For APIs used for Partner, the API key is: [`<shop_key>`](/api-etelecom-english/api-integration/partner/usage.md#retrieve-the-shop_key-information). The base\_url information of the [Partner](/api-etelecom-english/api-integration/partner/account.md).
  {% endhint %}

## POST /v1/shop.Zalo/OASendImage

> OASendImage

```json
{"openapi":"3.1.1","info":{"title":"API Document","version":"v1"},"tags":[{"name":"Zalo"}],"paths":{"/v1/shop.Zalo/OASendImage":{"post":{"tags":["Zalo"],"summary":"OASendImage","operationId":"shop.Zalo-OASendImage","responses":{"200":{"description":"A successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/mrZlOAConversation"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/mrOASendImageRequest"}}},"required":true}}}},"components":{"schemas":{"mrZlOAConversation":{"type":"object","properties":{"direction":{"$ref":"#/components/schemas/nzMessageDirection"},"msg_id":{"type":"string"},"oa_id":{"type":"string","format":"int64"},"quota":{"$ref":"#/components/schemas/mrZlQuota"},"recipient_id":{"type":"string","format":"int64"},"sender_id":{"type":"string","format":"int64"},"shop_id":{"type":"string","format":"int64"},"type":{"$ref":"#/components/schemas/vqUIDType"},"user_id":{"type":"string","format":"int64"},"wl_partner_id":{"description":"ID           dot.ID                             `json:\"id\"`\n","type":"string","format":"int64"},"zl_user_id":{"type":"string","format":"int64"}}},"nzMessageDirection":{"type":"string","enum":["in","out"]},"mrZlQuota":{"type":"object","properties":{"expired_date":{"type":"string"},"owner_id":{"type":"string"},"owner_type":{"type":"string"},"quota_type":{"type":"string"},"remain":{"type":"string"},"total":{"type":"string"}}},"vqUIDType":{"type":"string","enum":["unknown","text","audio","video","photo","GIF","link","file","sticker","location","business_card"]},"mrOASendImageRequest":{"type":"object","properties":{"message":{"$ref":"#/components/schemas/mrMessageImage"},"oa_id":{"type":"string","format":"int64"},"recipient":{"$ref":"#/components/schemas/mrRecipient"}}},"mrMessageImage":{"type":"object","properties":{"attachment_id":{"type":"string"},"image_url":{"type":"string"},"text":{"type":"string"}}},"mrRecipient":{"type":"object","properties":{"user_id":{"type":"string","format":"int64"}}}}}}
```

**Request:**

```json
curl --location 'BASE_URL.Zalo/OASendImage' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
  "message": {
    "attachment_id": "string",
    "image_url": "string"
  },
  "oa_id": "string",
  "recipient": {
    "user_id": "string"
  }
}'
```

**Response:**

```json
{
  "direction": "in",
  "msg_id": "string",
  "oa_id": "string",
  "quota": {
    "expired_date": "string",
    "owner_id": "string",
    "owner_type": "string",
    "quota_type": "string",
    "remain": "string",
    "total": "string"
  },
  "recipient_id": "string",
  "sender_id": "string",
  "shop_id": "string",
  "type": "unknown",
  "user_id": "string",
  "wl_partner_id": "string",
  "zl_user_id": "string"
}
```

**Request body structure**

<table><thead><tr><th width="163">Parameters</th><th width="122">Data type</th><th>Describe</th></tr></thead><tbody><tr><td>attachment_id</td><td>string</td><td>Image ID, obtained using the upload API</td></tr><tr><td>image_url</td><td>string</td><td>Image URL</td></tr><tr><td>id</td><td>string</td><td>OA ID</td></tr><tr><td>user_id</td><td>string</td><td>Zalo User ID</td></tr></tbody></table>

**Return data attribute structure**

<table><thead><tr><th width="234.33333333333331">Parameters</th><th width="191"> Data type</th><th>Describe</th></tr></thead><tbody><tr><td>direction</td><td>string (nzMessageDirection)</td><td><mark style="color:red;"><strong><code>in</code></strong></mark><br><mark style="color:red;"><strong><code>out</code></strong></mark></td></tr><tr><td>msg_id</td><td>string</td><td>Notification ID</td></tr><tr><td>oa_id</td><td>string</td><td>OA ID</td></tr><tr><td>expired_date</td><td>string</td><td>Expiration date of Free Consulting news according to OA vervice package</td></tr><tr><td>remain</td><td>string</td><td><ul><li>Number of messages sent Free consultation within the remaining 8 messages 48 hours limit (Messages sent are messages within the 8 messages 48 hour frame - "reply")</li><li>Number of messages sent for Free Consulting according to the remaining OA service package (Messages sent are messages within the free limit of the package - “sub_quota”)</li></ul></td></tr><tr><td>total</td><td>string</td><td>Total number of messages sent Free consultation according to OA service package</td></tr><tr><td>owner_id</td><td></td><td>Entity ID owning Quota Package Value: OA ID or App ID</td></tr><tr><td>owner_type</td><td>string</td><td>Quota Package Owning Entity Value: OA: Owning entity is OA App: Owning entity is App</td></tr><tr><td>quota_type</td><td>string</td><td>Quota source used Carrying value: <strong>“reply”</strong> : Message sent out is message within 8 messages 48h frame <strong>“sub_quota”</strong> : Message sent out is message within free limit of package <strong>“purchase_quota”</strong> : Message sent out is message within limit of odd feature package <strong>“reward_quota”</strong> : Message sent out is message within limit of Redeem code</td></tr><tr><td>recipient_id</td><td>string</td><td>Recipient ID</td></tr><tr><td>sender_id</td><td>string</td><td>Sender ID</td></tr><tr><td>shop_id</td><td>string</td><td>Shop ID on eTelecom</td></tr><tr><td>type</td><td>string (vqUIDType)</td><td><mark style="color:red;"><strong><code>"unknown" "text" "audio" "video" "photo" "GIF" "link" "file" "sticker" "location" "business_card"</code></strong></mark></td></tr><tr><td>user_id</td><td>string</td><td>User ID on eTelecom</td></tr></tbody></table>
